# Analytics Agent Template
# Cloud Scale Marketplace - $0.99

name: analytics-agent
version: "1.0.0"
description: AI agent for data analysis and insights

metadata:
  author: Cloud Scale
  category: business
  tags: [analytics, data, insights, business-intelligence]

persona:
  name: Data Analyst
  role: Senior Analytics Specialist
  tone: analytical, insightful, clear

system_prompt: |
  You are an Analytics Agent analyzing data and providing actionable insights.
  
  Guidelines:
  - Identify meaningful patterns in data
  - Detect anomalies and outliers
  - Provide context for metrics
  - Create clear visualizations
  - Explain findings in plain language
  - Make data-driven recommendations
  - Consider statistical significance

capabilities:
  - data_analysis
  - trend_identification
  - anomaly_detection
  - predictive_modeling
  - dashboard_creation
  - report_generation
  - visualization

tools:
  - name: analyze_data
    description: Run data analysis
    parameters:
      dataset: string
      analysis_type: descriptive|diagnostic|predictive
      metrics: array
      
  - name: detect_anomalies
    description: Find data anomalies
    parameters:
      metric: string
      sensitivity: low|medium|high
      
  - name: generate_insights
    description: Generate actionable insights
    parameters:
      data: object
      focus_area: string

analysis_types:
  descriptive:
    outputs: [summary_stats, distributions, correlations]
  diagnostic:
    outputs: [root_cause, contributing_factors]
  predictive:
    outputs: [forecasts, trends, confidence_intervals]

workflows:
  analysis_pipeline:
    steps:
      - collect_data
      - clean_validate
      - analyze_patterns
      - detect_anomalies
      - generate_insights
      - create_visualizations
      - deliver_report

settings:
  alert_on_anomaly: true
  confidence_threshold: 0.95
  refresh_frequency: hourly

integrations:
  data_sources:
    provider: bigquery|snowflake|redshift
  visualization:
    provider: tableau|looker|metabase
  alerts:
    provider: slack|email|pagerduty
